---
title: font-size-adjust
slug: Web/CSS/font-size-adjust
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<p>The <strong><code>font-size-adjust</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the size of lower-case letters relative to the current font size (which defines the size of upper-case letters).</p>

<pre class="brush:css no-line-numbers notranslate">/* Use the specified font size */
font-size-adjust: none;

/* Use a font size that makes lowercase
   letters half the specified font size */
font-size-adjust: 0.5;

/* Global values */
font-size-adjust: inherit;
font-size-adjust: initial;
font-size-adjust: unset;
</pre>

<p>The property is useful since the legibility of fonts, especially at small sizes, is determined more by the size of lowercase letters than by the size of capital letters. Legibility can become an issue when the first-choice {{ Cssxref("font-family") }} is unavailable and its replacement has a significantly different aspect ratio (the ratio of the size of lowercase letters to the size of the font).</p>

<p>To use this property in a way that is compatible with browsers that do not support <code>font-size-adjust</code>, it is specified as a number that the {{ Cssxref("font-size") }} property is multiplied by. This means the value specified for the property should generally be the aspect ratio of the first choice font. For example, a style sheet that specifies:</p>

<pre class="brush: css notranslate">font-size: 14px;
font-size-adjust: 0.5;
</pre>

<p>... is really specifying that the lowercase letters of the font should be <code>7px</code> high (0.5 × 14px).  This will still produce reasonable results in browsers that do not support <code>font-size-adjust</code>, where a <code>14px</code> font will be used.</p>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>Choose the size of the font based only on the {{ Cssxref("font-size") }} property.</dd>
 <dt>{{cssxref("&lt;number&gt;")}}</dt>
 <dd>
 <p>Choose the size of the font so that its lowercase letters (as determined by the x-height of the font) are the specified number times the {{ Cssxref("font-size") }}.</p>

 <p>The number specified should generally be the aspect ratio (ratio of x-height to font size) of the first choice {{ Cssxref("font-family") }}. This means that the first-choice font, when available, will appear the same size in browsers, whether or not they support <code>font-size-adjust</code>.</p>

 <p><code>0</code> yields text of zero height (hidden text).</p>
 </dd>
</dl>
<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Adjusting_lower-case_letter_sizes">Adjusting lower-case letter sizes</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">&lt;p class="times"&gt;This text uses the Times font (10px), which is hard to read in small sizes.&lt;/p&gt;
&lt;p class="verdana"&gt;This text uses the Verdana font (10px), which has relatively large lowercase letters.&lt;/p&gt;
&lt;p class="adjtimes"&gt;This is the 10px Times, but now adjusted to the same aspect ratio as the Verdana.&lt;/p&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">.times {
  font-family: Times, serif;
  font-size: 10px;
}

.verdana {
  font-family: Verdana, sans-serif;
  font-size: 10px;
}

.adjtimes {
  font-family: Times, serif;
  font-size-adjust: 0.58;
  font-size: 10px;
}
</pre>

<h4 id="Results">Results</h4>

<p>{{ EmbedLiveSample('Adjusting_lower-case_letter_sizes', 500, 200) }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('CSS3 Fonts', '#propdef-font-size-adjust', 'font-size-adjust') }}</td>
   <td>{{ Spec2('CSS3 Fonts') }}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<div class="note">
<p>The CSS property <code>font-size-adjust</code> was initially defined in CSS 2, but dropped in CSS 2.1. It has been newly defined in CSS 3.</p>
</div>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-size-adjust")}}</p>

<div>{{CSSRef}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{cssxref("font-size")}}</li>
 <li>{{cssxref("font-weight")}}</li>
 <li><a href="/en-US/docs/Learn/CSS/Styling_text/Fundamentals">Fundamental text and font styling</a></li>
</ul>
